net.minecraft.network.play.server

## Class S01PacketJoinGame

- java.lang.Object
- - net.minecraft.network.Packet
  - - net.minecraft.network.play.server.S01PacketJoinGame

-     public class S01PacketJoinGame
      extends Packet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `S01PacketJoinGame()`
    `S01PacketJoinGame(int p_i45201_1_, WorldSettings.GameType p_i45201_2_, boolean p_i45201_3_, int p_i45201_4_, EnumDifficulty p_i45201_5_, int p_i45201_6_, WorldType p_i45201_7_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EnumDifficulty` | `func_149192_g()`
    `int` | `func_149193_h()`
    `int` | `func_149194_f()`
    `boolean` | `func_149195_d()`
    `WorldType` | `func_149196_i()`
    `int` | `func_149197_c()`
    `WorldSettings.GameType` | `func_149198_e()`
    `void` | `processPacket(INetHandler p_148833_1_)`
    `void` | `processPacket(INetHandlerPlayClient p_149199_1_)`
    `void` | `readPacketData(PacketBuffer p_148837_1_)`
    `java.lang.String` | `serialize()`
    `void` | `writePacketData(PacketBuffer p_148840_1_)`

    - ### Methods inherited from class net.minecraft.network.Packet

      `generatePacket, hasPriority, readBlob, toString, writeBlob`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### S01PacketJoinGame

          public S01PacketJoinGame()

    - #### S01PacketJoinGame

          public S01PacketJoinGame(int p_i45201_1_,
                           WorldSettings.GameType p_i45201_2_,
                           boolean p_i45201_3_,
                           int p_i45201_4_,
                           EnumDifficulty p_i45201_5_,
                           int p_i45201_6_,
                           WorldType p_i45201_7_)

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(PacketBuffer p_148837_1_)
                              throws java.io.IOException

      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### writePacketData

          public void writePacketData(PacketBuffer p_148840_1_)
                               throws java.io.IOException

      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### processPacket

          public void processPacket(INetHandlerPlayClient p_149199_1_)

    - #### serialize

          public java.lang.String serialize()

      Overrides:
        `serialize` in class `Packet`

    - #### func_149197_c

          public int func_149197_c()

    - #### func_149195_d

          public boolean func_149195_d()

    - #### func_149198_e

          public WorldSettings.GameType func_149198_e()

    - #### func_149194_f

          public int func_149194_f()

    - #### func_149192_g

          public EnumDifficulty func_149192_g()

    - #### func_149193_h

          public int func_149193_h()

    - #### func_149196_i

          public WorldType func_149196_i()

    - #### processPacket

          public void processPacket(INetHandler p_148833_1_)

      Specified by:
        `processPacket` in class `Packet`